SystemOrganization addCategory: #'WebStone-Altitude'!

ALApplication subclass: #WSWebStoneApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebStone-Altitude'!

!WSWebStoneApplication methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:11'!
initializeHandler
	handler := ALChunkingRelay destination: handler.
	handler := ALKeepAliveRelay destination: handler.
	handler := ALRequestDecodingRelay destination: handler.
	handler := ALLimitingRelay destination: handler! !

!WSWebStoneApplication methodsFor: 'as yet unclassified' stamp: 'pmm 7/25/2012 19:30'!
initializeLocator
	| latin1 unicode |
	
	"HTML"
	locator 
		at: (ALPath withAll: #('webstone' 'html' 'ascii'))
		put: ((WSHtmlComponent new content: 'ascii'; yourself) asResource).
	locator 
		at: (ALPath withAll: #('webstone' 'html' 'escape'))
		put: ((WSHtmlComponent new content: 'as<ii'; yourself) asResource).
		
	latin1 := String streamContents: [ :stream |
		#(228 115 99 105 105) do: [ :each |
			stream nextPut: (Character value: each) ] ].
	locator 
		at: (ALPath withAll: #('webstone' 'html' 'latin1'))
		put: ((WSHtmlComponent new content: latin1; yourself) asResource).
		
	unicode := (String with: (Character value: 16r20AC)), 'uro'.
	locator 
		at: (ALPath withAll: #('webstone' 'html' 'unicode'))
		put: ((WSHtmlComponent new content: unicode; yourself) asResource).
		
	"JSON"
	locator 
		at: (ALPath withAll: #('webstone' 'json' 'ascii'))
		put: ((WSJsonComponent new content: 'ascii'; yourself) asResource).
	locator 
		at: (ALPath withAll: #('webstone' 'json' 'escape'))
		put: ((WSJsonComponent new content: 'as"ii'; yourself) asResource).
	locator 
		at: (ALPath withAll: #('webstone' 'json' 'latin1'))
		put: ((WSJsonComponent new content: latin1; yourself) asResource).
		
	locator 
		at: (ALPath withAll: #('webstone' 'json' 'unicode'))
		put: ((WSJsonComponent new content: unicode; yourself) asResource).! !

Object subclass: #WSHtmlComponent
	instanceVariableNames: 'content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebStone-Altitude'!

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:08'!
asResource
	^ ALHtmlResource component: self! !

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:13'!
content: aString
	content := aString! !

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:10'!
renderContentOn: html
	10 timesRepeat: [
		html div: [
			10 timesRepeat: [
				html ul: [
					10 timesRepeat: [
						html li: content ] ] ] ] ]! !

!WSHtmlComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/22/2012 00:10'!
renderOn: html
	html html: [
		html head: [ ].
		html body: [
			self renderContentOn: html ] ]! !

Object subclass: #WSJsonComponent
	instanceVariableNames: 'content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebStone-Altitude'!

!WSJsonComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/25/2012 19:33'!
asResource
	^ ALJsonResource endpoint: self! !

!WSJsonComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/25/2012 19:26'!
content: aString
	content := aString! !

!WSJsonComponent methodsFor: 'as yet unclassified' stamp: 'pmm 7/25/2012 19:33'!
renderOn: json
	json array: [
		10 timesRepeat: [
			json value: [
				json array: [
					10 timesRepeat: [
						json value: [ 
							json object: [
								1 to: 10 do: [ :index |
									json name: index printString value: content ] ] ] ] ] ] ] ]! !
